#pragma once
#include "BWAPI.h"
#include "BaseModel.h"
#include <map>

class Overseer;

class BaseModelConsistencyMonitor {
public:
		BaseModelConsistencyMonitor(Overseer* o, BaseModel* b);
		BaseModelConsistencyMonitor(Overseer* o);

		void registerNewBuilding(UnitType t);
		void attachBaseModel(BaseModel* bm);

private:
	Overseer* overseer;
	BaseModel* owner;

protected:




};